using System.Linq.Expressions;

namespace StudiApp.Interfaces;

public interface IRepository<T, T1>
    where T : IRepositoryItem<T1>
{
    Task<T> Create(T item);
    Task<List<T>> GetAll(Expression<Func<T, bool>> query = null);
    Task<T> Get(T1 id);
    Task<T> Update(T item);
    Task<T> Delete(T item);
}