using System.Linq.Expressions;
using StudiApp.Models;

namespace StudiApp.Interfaces;

public interface IRepositoryManager
{
    public Task<Mark> SaveMark(Mark mark);
    public Task<List<Mark>> GetAllMarks(Expression<Func<Mark, bool>> query = null);
    public Task<Mark> GetMark(int id);
    public Task DeleteMark(Mark mark);

    public Task<ToDo> SaveToDo(ToDo todo);
    public Task<List<ToDo>> GetAllToDos(Expression<Func<ToDo, bool>> query = null);
    public Task<ToDo> GetToDo(int id);
    public Task DeleteToDo(ToDo todo);

    public Task<Lecture> SaveLecture(Lecture lecture);
    public Task<List<Lecture>> GetAllLectures(Expression<Func<Lecture, bool>> query = null);
    public Task<Lecture> GetLecture(int id);
    public Task DeleteLecture(Lecture lecture);

    public Task<Course> SaveCourse(Course course);
    public Task<List<Course>> GetAllCourses(Expression<Func<Course, bool>> query = null);
    public Task<Course> GetCourse(int id);
    public Task DeleteCourse(Course course);

    public Task<Semester> SaveSemester(Semester semester);
    public Task<List<Semester>> GetAllSemesters(Expression<Func<Semester, bool>> query = null);
    public Task<Semester> GetSemester(int id);
    public Task DeleteSemester(Semester semester);
}