using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public class ToDo : IRepositoryItem<int>, ICourseMember
{
	public string Name { get; set; }
	public bool IsCompleted { get; set; }
	public string Description { get; set; }
	public DateTime Due { get; set; }

	[ForeignKey(typeof(Course))] public int CourseId { get; set; }

	[ManyToOne] public Course Course { get; set; }

	[PrimaryKey] [AutoIncrement] public int Id { get; set; }
}