﻿using StudiApp.Interfaces;

namespace StudiApp.Services.NavigationManager;

public class NavigationManager : INavigationManager
{
	public async Task NavigateTo(string target, string parameterName, object parameter)
	{
		await Shell.Current.GoToAsync(target,
			new Dictionary<string, object>
			{
				{parameterName, parameter}
			});
	}

	public async Task NavigateTo(string target)
	{
		await Shell.Current.GoToAsync(target);
	}

	public async Task NavigateBack()
	{
		await Shell.Current.GoToAsync("..");
	}
}
