﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;
using StudiApp.Services.ViewModelService;
using StudiApp.Services.NavigationManager;

namespace StudiApp.ViewModels;

[QueryProperty("Id", "Id")]
public partial class MarksEditViewModel : MarksOperationsBaseViewModel
{
    public int Id { get; set; }

    public MarksEditViewModel(IViewModelService viewModelService) : base(viewModelService)
    {
    }

    [RelayCommand]
    public new async Task OnAppearing()
    {
        await base.OnAppearing();

        var mark = await ViewModelService.RepositoryManager.GetMark(Id);

        ViewModelService.Logger.LogInformation("Loaded mark from Database");

        SetMark(mark);
        SetPercentage(mark.PercentageString);

        ViewModelService.Logger.LogInformation($"{nameof(MarksEditViewModel)} initialized");
    }
}

